## r-cran-stars 0.4

=== DESCRIPTION ===
Package: stars
Title: Spatiotemporal Arrays, Raster and Vector Data Cubes
Version: 0.4-0
Authors@R: 
    c(person(given = "Edzer",
             family = "Pebesma",
             role = c("aut", "cre"),
             email = "edzer.pebesma@uni-muenster.de",
             comment = c(ORCID = "0000-0001-8049-7069")),
      person(given = "Michael",
             family = "Sumner",
             role = "ctb", 
             comment=c(ORCID = "0000-0002-2471-7511")),
      person(given = "Etienne",
             family = "Racine",
             role = "ctb"),
      person(given = "Adriano",
             family = "Fantini",
             role = "ctb"), 
      person(given = "David", 
             family = "Blodgett", 
             role = "ctb"))
Description: Reading, manipulating, writing and plotting
    spatiotemporal arrays (raster and vector data cubes) in 'R', using 'GDAL'
    bindings provided by 'sf', and 'NetCDF' bindings by 'ncmeta' and 'RNetCDF'.
License: Apache License
URL: https://r-spatial.github.io/stars/,
        https://github.com/r-spatial/stars/
BugReports: https://github.com/r-spatial/stars/issues/
Additional_repositories: http://gis-bigdata.uni-muenster.de/pebesma/
Depends: R (>= 3.3.0), abind, sf (>= 0.8-0)
Imports: methods, parallel, classInt (>= 0.4-1), lwgeom, rlang, units
Suggests: PCICt, RNetCDF (>= 1.8-2), covr, digest, dplyr (>= 0.7-0),
        future.apply, ggforce, ggplot2, ggthemes, gstat, httr,
        jsonlite, knitr, maps, ncdfgeom, ncmeta (>= 0.0.3), pbapply,
        plm, raster, rmarkdown, sp, spacetime, starsdata, testthat,
        tidync, viridis, xts, zoo
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 6.1.1
Collate: 'init.R' 'stars.R' 'read.R' 'sf.R' 'dimensions.R' 'values.R'
        'plot.R' 'tidyverse.R' 'transform.R' 'ops.R' 'write.R'
        'raster.R' 'sp.R' 'spacetime.R' 'ncdf.R' 'proxy.R' 'factors.R'
        'rasterize.R' 'subset.R' 'warp.R' 'aggregate.R' 'xts.R'
        'intervals.R' 'geom.R' 'mosaic.R'
NeedsCompilation: no
Packaged: 2019-10-09 08:35:29 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Michael Sumner [ctb] (<https://orcid.org/0000-0002-2471-7511>),
  Etienne Racine [ctb],
  Adriano Fantini [ctb],
  David Blodgett [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2019-10-10 13:00:02 UTC

## r-cran-stars 0.2-0

=== debian/changelog ===
r-cran-stars (0.2-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 08:58:42 +0100

r-cran-stars (0.1-1-1) unstable; urgency=medium

  * Initial release (closes: #907027)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2018 10:58:56 +0200

=== debian/control ===
Source: r-cran-stars
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-abind,
               r-cran-sf (>= 0.7-0),
               r-cran-classint,
               r-cran-ncdf4,
               r-cran-ncmeta,
               r-cran-rlang,
               r-cran-units
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
Homepage: https://cran.r-project.org/package=stars

Package: r-cran-stars
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: scalable, spatiotemporal tidy arrays for GNU R
 This package provides support for scalable, spatiotemporal tidy arrays in
 GNU R, using GDAL bindings.

## r-cran-stars 0.3-1

=== debian/changelog ===
r-cran-stars (0.3-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Test-Depends: r-cran-spacetime, r-cran-pcict (just uploaded to new so
    test will fail until these and the dependencies are accepted)
  * Test-Depends: r-cran-ncmeta, r-cran-raster, r-cran-ggplot2, r-cran-lwgeom

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 10:42:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 0.7-0),
+               r-cran-sf (>= 0.7-3),
                r-cran-classint,
-               r-cran-ncdf4,
-               r-cran-ncmeta,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spacetime, r-cran-ncmeta, r-cran-raster, r-cran-pcict, r-cran-ggplot2, r-cran-lwgeom
Restrictions: allow-stderr

## r-cran-stars 0.4-0

=== debian/changelog ===
r-cran-stars (0.4-0-2) unstable; urgency=medium

  * r-cran-ncdfgeom available include test
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 25 Dec 2019 23:18:08 +0100

r-cran-stars (0.4-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Exclude test requiring r-cran-ncdfgeom
  * Better long description

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 17:07:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 0.7-3),
-               r-cran-classint,
+               r-cran-sf (>= 0.8-0),
+               r-cran-classint (>= 0.4-1),
+               r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars
@@ -26,3 +27,7 @@
 Description: scalable, spatiotemporal tidy arrays for GNU R
  This package provides support for scalable, spatiotemporal tidy arrays in
  GNU R, using GDAL bindings.
+ .
+ Package stars provides infrastructure for data cubes, array data with
+ labeled dimensions, with emphasis on arrays where some of the dimensions
+ relate to time and/or space.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spacetime, r-cran-ncmeta, r-cran-raster, r-cran-pcict, r-cran-ggplot2, r-cran-lwgeom, r-cran-ncdfgeom
Restrictions: allow-stderr

## r-cran-stars 0.4-1

=== debian/changelog ===
r-cran-stars (0.4-1-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:39:33 +0200

r-cran-stars (0.4-1-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Apr 2020 16:10:15 +0200

r-cran-stars (0.4-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Apr 2020 09:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 0.8-0),
+               r-cran-sf (>= 0.9-0),
                r-cran-classint (>= 0.4-1),
                r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars
+Rules-Requires-Root: no
 
 Package: r-cran-stars
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spacetime, r-cran-ncmeta, r-cran-raster, r-cran-pcict, r-cran-ggplot2, r-cran-lwgeom, r-cran-ncdfgeom, r-cran-spatstat
Restrictions: allow-stderr

## r-cran-stars 0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stars
 Title: Spatiotemporal Arrays, Raster and Vector Data Cubes
-Version: 0.4-0
+Version: 0.5-1
 Authors@R: 
     c(person(given = "Edzer",
              family = "Pebesma",
@@ -28,23 +28,25 @@
         https://github.com/r-spatial/stars/
 BugReports: https://github.com/r-spatial/stars/issues/
 Additional_repositories: http://gis-bigdata.uni-muenster.de/pebesma/
-Depends: R (>= 3.3.0), abind, sf (>= 0.8-0)
+Depends: R (>= 3.3.0), abind, sf (>= 0.9-7)
 Imports: methods, parallel, classInt (>= 0.4-1), lwgeom, rlang, units
-Suggests: PCICt, RNetCDF (>= 1.8-2), covr, digest, dplyr (>= 0.7-0),
-        future.apply, ggforce, ggplot2, ggthemes, gstat, httr,
-        jsonlite, knitr, maps, ncdfgeom, ncmeta (>= 0.0.3), pbapply,
-        plm, raster, rmarkdown, sp, spacetime, starsdata, testthat,
-        tidync, viridis, xts, zoo
+Suggests: PCICt, RNetCDF (>= 1.8-2), clue, covr, cubelyr, digest, dplyr
+        (>= 0.7-0), exactextractr, future.apply, ggforce, ggplot2,
+        ggthemes, gstat, httr, jsonlite, knitr, maps, mapdata,
+        ncdfgeom, ncmeta (>= 0.0.3), pbapply, plm, randomForest,
+        raster, rgdal, rmarkdown, s2 (>= 1.0.0), sp, spacetime,
+        spatstat, starsdata, terra, testthat, viridis, xts, zoo
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Collate: 'init.R' 'stars.R' 'read.R' 'sf.R' 'dimensions.R' 'values.R'
         'plot.R' 'tidyverse.R' 'transform.R' 'ops.R' 'write.R'
         'raster.R' 'sp.R' 'spacetime.R' 'ncdf.R' 'proxy.R' 'factors.R'
         'rasterize.R' 'subset.R' 'warp.R' 'aggregate.R' 'xts.R'
-        'intervals.R' 'geom.R' 'mosaic.R'
+        'intervals.R' 'geom.R' 'mosaic.R' 'spatstat.R'
+        'OpenStreetMap.R' 'sample.R' 'extract.R'
 NeedsCompilation: no
-Packaged: 2019-10-09 08:35:29 UTC; edzer
+Packaged: 2021-01-25 19:05:25 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Michael Sumner [ctb] (<https://orcid.org/0000-0002-2471-7511>),
   Etienne Racine [ctb],
@@ -52,4 +54,4 @@
   David Blodgett [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2019-10-10 13:00:02 UTC
+Date/Publication: 2021-01-25 22:10:06 UTC

## r-cran-stars 0.5-1

=== debian/changelog ===
r-cran-stars (0.5-1-2) unstable; urgency=high

  * Add skip-not-installable to autopkgtest restrictions to deal with
      E: Package 'r-cran-s2' has no installation candidate
    on armhf and i386

 -- Andreas Tille <tille@debian.org>  Thu, 11 Feb 2021 14:56:50 +0100

r-cran-stars (0.5-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 31 Jan 2021 15:54:40 +0100

r-cran-stars (0.5-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: r-cran-rgdal

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2021 21:32:54 +0100

r-cran-stars (0.4-3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Test-Depends: r-cran-cubelyr

 -- Andreas Tille <tille@debian.org>  Sat, 17 Oct 2020 23:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
+# Testsuite: autopkgtest-pkg-r # currently no way to specify skip-not-installable restriction
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 0.9-0),
+               r-cran-sf (>= 0.9-7),
                r-cran-classint (>= 0.4-1),
                r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-spacetime,
            r-cran-ncmeta,
            r-cran-raster,
            r-cran-pcict,
            r-cran-ggplot2,
            r-cran-lwgeom,
            r-cran-ncdfgeom,
            r-cran-spatstat,
            r-cran-cubelyr,
            r-cran-rgdal
Restrictions: allow-stderr, skip-not-installable

## r-cran-stars 0.5-5

=== debian/changelog ===
r-cran-stars (0.5-5-2) unstable; urgency=medium

  * Team Upload.
  * Fix sf version in DESCRIPTION file so as to
    pull relevant debian version

 -- Nilesh Patra <nilesh@debian.org>  Tue, 04 Jan 2022 01:31:33 +0530

r-cran-stars (0.5-5-1) unstable; urgency=medium

  * New upstream version 0.5-5

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 16:05:14 +0530

r-cran-stars (0.5-4-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Test-Depends: r-cran-terra

  [ Nilesh Patra ]
  * New upstream version 0.5-4
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Tue, 23 Nov 2021 19:26:23 +0530

r-cran-stars (0.5-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Test-Depends: r-cran-spatstat.geom, versioned Test-Depends for
    r-cran-spatstat

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 15:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 0.9-7),
-               r-cran-classint (>= 0.4-1),
+               r-cran-sf (>= 1.0-3-1~),
+               r-cran-classint (>= 0.4-1-1~),
                r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars

=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
             r-cran-ggplot2,
             r-cran-lwgeom,
             r-cran-ncdfgeom,
-            r-cran-spatstat,
+            r-cran-spatstat (>= 2.0),
+            r-cran-spatstat.geom,
             r-cran-cubelyr,
-            r-cran-rgdal
+            r-cran-rgdal,
+            r-cran-terra
 Restrictions: allow-stderr, skip-not-installable

## r-cran-stars 0.5-6

=== debian/changelog ===
r-cran-stars (0.5-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5-6
  * dh-update-R: update versioned B-D
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Jul 2022 20:00:28 +0530

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 1.0-3-1~),
-               r-cran-classint (>= 0.4-1-1~),
+               r-cran-sf (>= 1.0-8),
+               r-cran-classint (>= 0.4-1),
                r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars

## r-cran-stars 0.6

=== DESCRIPTION ===
Package: stars
Title: Spatiotemporal Arrays, Raster and Vector Data Cubes
Version: 0.6-8
Authors@R: 
    c(person(given = "Edzer",
             family = "Pebesma",
             role = c("aut", "cre"),
             email = "edzer.pebesma@uni-muenster.de",
             comment = c(ORCID = "0000-0001-8049-7069")),
      person(given = "Michael",
             family = "Sumner",
             role = "ctb", 
             comment=c(ORCID = "0000-0002-2471-7511")),
      person(given = "Etienne",
             family = "Racine",
             role = "ctb"),
      person(given = "Adriano",
             family = "Fantini",
             role = "ctb"), 
      person(given = "David", 
             family = "Blodgett", 
             role = "ctb"), 
      person(given = "Krzysztof", 
             family = "Dyba", 
             role = "ctb",
             comment=c(ORCID = "0000-0002-8614-3816")))
Description: Reading, manipulating, writing and plotting
    spatiotemporal arrays (raster and vector data cubes) in 'R', using 'GDAL'
    bindings provided by 'sf', and 'NetCDF' bindings by 'ncmeta' and 'RNetCDF'.
License: Apache License
URL: https://r-spatial.github.io/stars/,
        https://github.com/r-spatial/stars/
BugReports: https://github.com/r-spatial/stars/issues/
Additional_repositories: https://cran.uni-muenster.de/pebesma/
LazyData: true
Depends: R (>= 3.3.0), abind, sf (>= 1.0-19)
Imports: methods, parallel, classInt (>= 0.4-1), rlang, units
Suggests: Cairo, OpenStreetMap, PCICt, RNetCDF (>= 1.8-2), clue, covr,
        cubble (>= 0.3.0), cubelyr, digest, dplyr (>= 0.7-0),
        exactextractr, FNN, future.apply, ggforce, ggplot2, ggthemes,
        gstat, httr, jsonlite, knitr, lwgeom, maps, mapdata, ncdfgeom,
        ncmeta (>= 0.0.3), pbapply, plm, randomForest, raster,
        rmarkdown, sp, spacetime, spatstat (>= 2.0-1), spatstat.geom,
        starsdata, terra (>= 1.4-22), testthat, tibble, tidyr, tsibble,
        viridis, xts, zoo
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.2
Collate: 'aggregate.R' 'cubble.R' 'datasets.R' 'dimensions.R'
        'extract.R' 'factors.R' 'geom.R' 'gt.R' 'init.R' 'intervals.R'
        'mdim.R' 'mosaic.R' 'ncdf.R' 'ncproxy.R' 'OpenStreetMap.R'
        'ops.R' 'plot.R' 'prcomp.R' 'proxy.R' 'rasterize.R' 'raster.R'
        'read.R' 'rotate.R' 'sample.R' 'sf.R' 'spacetime.R'
        'spatstat.R' 'sp.R' 'stars.R' 'subset.R' 'tidyverse.R' 'tile.R'
        'transform.R' 'values.R' 'warp.R' 'write.R' 'xts.R'
NeedsCompilation: no
Packaged: 2025-02-01 17:31:06 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Michael Sumner [ctb] (<https://orcid.org/0000-0002-2471-7511>),
  Etienne Racine [ctb],
  Adriano Fantini [ctb],
  David Blodgett [ctb],
  Krzysztof Dyba [ctb] (<https://orcid.org/0000-0002-8614-3816>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2025-02-01 18:50:02 UTC

## r-cran-stars 0.6-0

=== debian/changelog ===
r-cran-stars (0.6-0-4) unstable; urgency=medium

  * Fix syntax in autopkgtest-pkg-r.conf (Thanks for the hint to
    Antonio Terceiro)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 22:25:37 +0100

r-cran-stars (0.6-0-3) unstable; urgency=medium

  * Add autopkgtest-pkg-r.conf to skip tests on s390x also in
    autopkgtest-pkg-r
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 11:41:45 +0100

r-cran-stars (0.6-0-2) unstable; urgency=medium

  * Do not run debci test for s390x since Test-Depends r-cran-lwgeom
    is not available here

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 21:27:02 +0100

r-cran-stars (0.6-0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 16:02:55 +0100

=== debian/control ===
Source: r-cran-stars
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
Homepage: https://cran.r-project.org/package=stars
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-abind,
               r-cran-sf (>= 1.0-9),
               r-cran-classint (>= 0.4-1),
               r-cran-lwgeom,
               r-cran-rlang,
               r-cran-units
Testsuite: autopkgtest-pkg-r

Package: r-cran-stars
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: scalable, spatiotemporal tidy arrays for GNU R
 This package provides support for scalable, spatiotemporal tidy arrays in
 GNU R, using GDAL bindings.
 .
 Package stars provides infrastructure for data cubes, array data with
 labeled dimensions, with emphasis on arrays where some of the dimensions
 relate to time and/or space.

=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,4 @@
             r-cran-rgdal,
             r-cran-terra
 Restrictions: allow-stderr, skip-not-installable
+Architecture: !s390x

## r-cran-stars 0.6-1

=== debian/changelog ===
r-cran-stars (0.6-1-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Sync Test-Depends with Suggests
  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039663 
  * Since package exactextractr is not available yet (but in new)
    one test (and its output) needs to be patched

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 13:53:33 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cairo,
#	 r-cran-openstreetmap,
         r-cran-pcict,
         r-cran-rnetcdf,
         r-cran-clue,
         r-cran-covr,
         r-cran-cubelyr,
         r-cran-digest,
         r-cran-dplyr,
#         r-cran-exactextractr, # this is really needed - at least not checked whether it exists in upstream code
         r-cran-fnn,
         r-cran-future.apply,
         r-cran-ggforce,
         r-cran-ggplot2,
         r-cran-ggthemes,
         r-cran-gstat,
         r-cran-httr,
         r-cran-jsonlite,
         r-cran-knitr,
         r-cran-maps,
         r-cran-mapdata,
         r-cran-ncdfgeom,
         r-cran-ncmeta,
         r-cran-pbapply,
         r-cran-plm,
         r-cran-randomforest,
         r-cran-raster,
         r-cran-rmarkdown,
         r-cran-sp,
         r-cran-spacetime,
         r-cran-spatstat,
         r-cran-spatstat.geom,
#         r-cran-starsdata,
         r-cran-terra,
         r-cran-testthat,
         r-cran-tidyr,
         r-cran-viridis,
         r-cran-xts,
         r-cran-zoo,
# Codetools is not mentioned in Suggests but seems to be needed
         r-cran-codetools
Restrictions: allow-stderr, skip-not-installable
Architecture: !s390x

## r-cran-stars 0.6-2

=== debian/changelog ===
r-cran-stars (0.6-2-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 18:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: r-cran-stars
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
-Homepage: https://cran.r-project.org/package=stars
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 1.0-9),
-               r-cran-classint (>= 0.4-1),
+               r-cran-sf (>= 1.0-10),
+               r-cran-classint,
                r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
+Homepage: https://cran.r-project.org/package=stars
+Rules-Requires-Root: no
 
 Package: r-cran-stars
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cairo,
        r-cran-pcict,
        r-cran-rnetcdf (>= 1.8-2),
        r-cran-clue,
        r-cran-covr,
        r-cran-cubelyr,
        r-cran-digest,
        r-cran-dplyr (>= 0.7-0),
        r-cran-exactextractr,
        r-cran-fnn,
        r-cran-future.apply,
        r-cran-ggforce,
        r-cran-ggplot2,
        r-cran-ggthemes,
        r-cran-gstat,
        r-cran-httr,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-maps,
        r-cran-mapdata,
        r-cran-ncdfgeom,
        r-cran-ncmeta (>= 0.0.3),
        r-cran-pbapply,
        r-cran-plm,
        r-cran-randomforest,
        r-cran-raster,
        r-cran-rmarkdown,
        r-cran-sp,
        r-cran-spacetime,
        r-cran-spatstat (>= 2.0-1),
        r-cran-spatstat.geom,
        r-cran-terra (>= 1.4-22),
        r-cran-testthat,
        r-cran-tibble,
        r-cran-tidyr,
        r-cran-viridis,
        r-cran-xts,
        r-cran-zoo
Restrictions: allow-stderr, skip-not-installable
Architecture: !s390x

## r-cran-stars 0.6-3

=== debian/changelog ===
r-cran-stars (0.6-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 14:04:15 +0200

## r-cran-stars 0.6-4

=== debian/changelog ===
r-cran-stars (0.6-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:16:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                r-cran-abind,
                r-cran-sf (>= 1.0-10),
                r-cran-classint,
-               r-cran-lwgeom,
                r-cran-rlang,
                r-cran-units
 Standards-Version: 4.6.2

## r-cran-stars 0.6-5

=== debian/changelog ===
r-cran-stars (0.6-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Jun 2024 08:26:37 +0900

## r-cran-stars 0.6-6

=== debian/changelog ===
r-cran-stars (0.6-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jul 2024 13:45:43 +0900

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 1.0-10),
+               r-cran-sf (>= 1.0-15),
                r-cran-classint,
                r-cran-rlang,
                r-cran-units
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
 Homepage: https://cran.r-project.org/package=stars

## r-cran-stars 0.6-7

=== debian/changelog ===
r-cran-stars (0.6-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 11:07:37 +0900

## r-cran-stars 0.6-8

=== debian/changelog ===
r-cran-stars (0.6-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Feb 2025 08:45:50 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-abind,
-               r-cran-sf (>= 1.0-15),
+               r-cran-sf (>= 1.0-19),
                r-cran-classint,
                r-cran-rlang,
                r-cran-units

=== debian/tests/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
         r-cran-httr,
         r-cran-jsonlite,
         r-cran-knitr,
+        r-cran-lwgeom,
         r-cran-maps,
         r-cran-mapdata,
         r-cran-ncdfgeom,

## r-cran-stars 0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stars
 Title: Spatiotemporal Arrays, Raster and Vector Data Cubes
-Version: 0.6-8
+Version: 0.7-0
 Authors@R: 
     c(person(given = "Edzer",
              family = "Pebesma",
@@ -33,20 +33,20 @@
 BugReports: https://github.com/r-spatial/stars/issues/
 Additional_repositories: https://cran.uni-muenster.de/pebesma/
 LazyData: true
-Depends: R (>= 3.3.0), abind, sf (>= 1.0-19)
+Depends: R (>= 4.1.0), abind, sf (>= 1.0-19)
 Imports: methods, parallel, classInt (>= 0.4-1), rlang, units
-Suggests: Cairo, OpenStreetMap, PCICt, RNetCDF (>= 1.8-2), clue, covr,
-        cubble (>= 0.3.0), cubelyr, digest, dplyr (>= 0.7-0),
-        exactextractr, FNN, future.apply, ggforce, ggplot2, ggthemes,
-        gstat, httr, jsonlite, knitr, lwgeom, maps, mapdata, ncdfgeom,
-        ncmeta (>= 0.0.3), pbapply, plm, randomForest, raster,
-        rmarkdown, sp, spacetime, spatstat (>= 2.0-1), spatstat.geom,
-        starsdata, terra (>= 1.4-22), testthat, tibble, tidyr, tsibble,
-        viridis, xts, zoo
+Suggests: Cairo, CFtime (>= 1.7.1), OpenStreetMap, RNetCDF (>= 1.8-2),
+        clue, covr, cubble (>= 0.3.0), cubelyr, digest, dplyr (>=
+        0.7-0), exactextractr, FNN, future.apply, ggforce, ggplot2,
+        ggthemes, gstat, httr, jsonlite, knitr, lwgeom, maps, mapdata,
+        ncdfCF, ncdfgeom, ncmeta (>= 0.0.3), pbapply, plm,
+        randomForest, raster, rmarkdown, sp, spacetime, spatstat (>=
+        2.0-1), spatstat.geom, starsdata, terra (>= 1.4-22), testthat,
+        tibble, tidyr, tsibble, viridis, xts, zoo
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.3.2
-Collate: 'aggregate.R' 'cubble.R' 'datasets.R' 'dimensions.R'
+RoxygenNote: 7.3.3
+Collate: 'aggregate.R' 'cf.R' 'cubble.R' 'datasets.R' 'dimensions.R'
         'extract.R' 'factors.R' 'geom.R' 'gt.R' 'init.R' 'intervals.R'
         'mdim.R' 'mosaic.R' 'ncdf.R' 'ncproxy.R' 'OpenStreetMap.R'
         'ops.R' 'plot.R' 'prcomp.R' 'proxy.R' 'rasterize.R' 'raster.R'
@@ -54,13 +54,14 @@
         'spatstat.R' 'sp.R' 'stars.R' 'subset.R' 'tidyverse.R' 'tile.R'
         'transform.R' 'values.R' 'warp.R' 'write.R' 'xts.R'
 NeedsCompilation: no
-Packaged: 2025-02-01 17:31:06 UTC; edzer
-Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
-  Michael Sumner [ctb] (<https://orcid.org/0000-0002-2471-7511>),
+Packaged: 2025-12-13 20:34:03 UTC; edzer
+Author: Edzer Pebesma [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-8049-7069>),
+  Michael Sumner [ctb] (ORCID: <https://orcid.org/0000-0002-2471-7511>),
   Etienne Racine [ctb],
   Adriano Fantini [ctb],
   David Blodgett [ctb],
-  Krzysztof Dyba [ctb] (<https://orcid.org/0000-0002-8614-3816>)
+  Krzysztof Dyba [ctb] (ORCID: <https://orcid.org/0000-0002-8614-3816>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2025-02-01 18:50:02 UTC
+Date/Publication: 2025-12-14 07:40:02 UTC

## r-cran-stars 0.7-0

=== debian/changelog ===
r-cran-stars (0.7-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 17:18:45 +0900

## r-cran-stars 0.7-1

=== debian/changelog ===
r-cran-stars (0.7-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 11:21:21 +0900

=== debian/control ===
Source: r-cran-stars
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-abind,
 r-cran-sf,
 r-cran-classint,
 r-cran-rlang,
 r-cran-units,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stars
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stars.git
Homepage: https://cran.r-project.org/package=stars
Rules-Requires-Root: no

Package: r-cran-stars
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: scalable, spatiotemporal tidy arrays for GNU R
 This package provides support for scalable, spatiotemporal tidy arrays in
 GNU R, using GDAL bindings.
 .
 Package stars provides infrastructure for data cubes, array data with
 labeled dimensions, with emphasis on arrays where some of the dimensions
 relate to time and/or space.

=== debian/tests/control ===
Tests: run-unit-test
Architecture: !s390x
Restrictions: allow-stderr, skip-not-installable
Depends:
 @,
 r-cran-cairo,
 r-cran-cftime (>= 1.7.1),
 r-cran-rnetcdf (>= 1.8-2),
 r-cran-clue,
 r-cran-covr,
 r-cran-cubelyr,
 r-cran-digest,
 r-cran-dplyr (>= 0.7-0),
 r-cran-exactextractr,
 r-cran-fnn,
 r-cran-future.apply,
 r-cran-ggforce,
 r-cran-ggplot2,
 r-cran-ggthemes,
 r-cran-gstat,
 r-cran-httr,
 r-cran-jsonlite,
 r-cran-knitr,
 r-cran-lwgeom,
 r-cran-maps,
 r-cran-mapdata,
 r-cran-ncdfgeom,
 r-cran-ncmeta (>= 0.0.3),
 r-cran-pbapply,
 r-cran-plm,
 r-cran-randomforest,
 r-cran-raster,
 r-cran-rmarkdown,
 r-cran-sp,
 r-cran-spacetime,
 r-cran-spatstat (>= 2.0-1),
 r-cran-spatstat.geom,
 r-cran-terra (>= 1.4-22),
 r-cran-testthat,
 r-cran-tibble,
 r-cran-tidyr,
 r-cran-viridis,
 r-cran-xts,
 r-cran-zoo,
 r-cran-pcict,
